<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".QuizActivity">

    <Button
        android:id="@+id/button_true"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="@dimen/icon_text_gap"
        android:layout_marginRight="@dimen/icon_text_gap"
        android:text="@string/text_button_true"
        app:layout_constraintEnd_toStartOf="@+id/button_false"
        app:layout_constraintHorizontal_chainStyle="packed"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/textView_question" />

    <Button
        android:id="@+id/button_false"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/icon_text_gap"
        android:layout_marginLeft="@dimen/icon_text_gap"
        android:text="@string/text_button_false"
        app:layout_constraintBaseline_toBaselineOf="@+id/button_true"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/button_true" />

    <Button
        android:id="@+id/button_next"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:drawableEnd="@drawable/ic_navigate_next"
        android:drawableRight="@drawable/ic_navigate_next"
        android:drawablePadding="@dimen/icon_text_gap"
        android:text="@string/text_button_next"
        app:layout_constraintEnd_toStartOf="@+id/button_false"
        app:layout_constraintStart_toStartOf="@+id/button_false"
        app:layout_constraintTop_toBottomOf="@+id/button_false" />

    <Button
        android:id="@+id/button_cheat"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="@dimen/icon_text_gap"
        android:layout_marginRight="@dimen/icon_text_gap"
        android:text="@string/text_button_cheat"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent" />

    <TextView
        android:id="@+id/textView_question"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:gravity="center"
        app:layout_constraintBottom_toTopOf="@id/button_cheat"
        app:layout_constraintEnd_toStartOf="@+id/button_false"
        app:layout_constraintStart_toStartOf="@+id/button_false"
        app:layout_constraintTop_toTopOf="parent"
        tools:text="Is it OK to use hard coded string by using XML namespace 'tools' in the layout file?" />

</androidx.constraintlayout.widget.ConstraintLayout>